Bug 336654 - Wishlist
Summary: Wishlist
Status: RESOLVED FIXED
Alias: None
Product: kstars
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Platform: Mint (Ubuntu based) Linux
: NOR wishlist (vote)
Target Milestone: ---
Assignee: Jasem Mutlaq
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-06-24 12:18 UTC by Dan
Modified: 2014-06-30 09:04 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 4.14


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Dan 2014-06-24 12:18:40 UTC
When using Ekos CCD tab and entering a list of imaging tasks, can not save or reuse an existing completed task.  Would like to create, save, and edit various ccd tasks for reuse on different objects.

Reproducible: Always

Actual Results:  
The task list is created and can be deleted, but, once complete a task must be removed.
Comment 1 Jasem Mutlaq 2014-06-29 23:27:44 UTC
Git commit 3be5387e147981038e006afab239b420326c827b by Jasem Mutlaq.
Committed on 29/06/2014 at 23:26.
Pushed by mutlaqja into branch 'master'.

Partial implementation of wishlist. The user can now save and load sequence jobs in addition to the ability to reset job status. Editing a single job is not yet implemented.

M  +224  -10   kstars/ekos/capture.cpp
M  +17   -4    kstars/ekos/capture.h
M  +25   -0    kstars/ekos/capture.ui

http://commits.kde.org/kstars/3be5387e147981038e006afab239b420326c827b
Comment 2 Dan 2014-06-30 01:46:38 UTC
Hello Jasem,

We can never thank you enough.  I will be at the university later this 
week and I will see we download and test the new software changes.

Best wishes,
Dan

On 06/29/2014 07:27 PM, Jasem Mutlaq wrote:
> https://bugs.kde.org/show_bug.cgi?id=336654
>
> Jasem Mutlaq <mutlaqja@ikarustech.com> changed:
>
>             What    |Removed                     |Added
> ----------------------------------------------------------------------------
>               Status|ASSIGNED                    |RESOLVED
>           Resolution|---                         |FIXED
>        Latest Commit|                            |http://commits.kde.org/ksta
>                     |                            |rs/3be5387e147981038e006afa
>                     |                            |b239b420326c827b
>
> --- Comment #1 from Jasem Mutlaq <mutlaqja@ikarustech.com> ---
> Git commit 3be5387e147981038e006afab239b420326c827b by Jasem Mutlaq.
> Committed on 29/06/2014 at 23:26.
> Pushed by mutlaqja into branch 'master'.
>
> Partial implementation of wishlist. The user can now save and load sequence
> jobs in addition to the ability to reset job status. Editing a single job is
> not yet implemented.
>
> M  +224  -10   kstars/ekos/capture.cpp
> M  +17   -4    kstars/ekos/capture.h
> M  +25   -0    kstars/ekos/capture.ui
>
> http://commits.kde.org/kstars/3be5387e147981038e006afab239b420326c827b
>
Comment 3 Jasem Mutlaq 2014-06-30 07:59:09 UTC
Git commit 31e90f48f34e43c8e18b8feee5fd3ec188432d9e by Jasem Mutlaq.
Committed on 30/06/2014 at 07:57.
Pushed by mutlaqja into branch 'master'.

Implemented job edit and save. The wishlist should be complete by now, please test.
FIXED-IN:4.14

M  +127  -46   kstars/ekos/capture.cpp
M  +5    -1    kstars/ekos/capture.h

http://commits.kde.org/kstars/31e90f48f34e43c8e18b8feee5fd3ec188432d9e
Comment 4 Jasem Mutlaq 2014-06-30 09:04:29 UTC
Please refer to the updated CCD module documentation as well (http://indilib.org/about/ekos/ccd-module.html)